Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 21 Mar 2023 03:13:34 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers Greetings,

Few minutes ago; I've entered a gift card number and my credit card number to pay for my items.

When I was asked for my card verification number I clicked "Cancel" cuz I changed my mind to paying cash instead. 

After that I went to "Basket"  and when entered the Gift card No. again I got the following message:

There is insufficient balance in your Gift Card

What does that mean and how can I get it back to continue my payment??

Thank you. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5901015